Bug 426390 - RFE - upstream fix for ATI Radeon X1300 not recognized (other than as VESA)
RFE - upstream fix for ATI Radeon X1300 not recognized (other than as VESA)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-radeonhd (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Hans Ulrich Niedermann
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-20 13:53 EST by R P Herrold
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version: 1.0.0-0.4.20071219git
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-07 11:51:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log done postPCIupdate and after rm'ing /etc/X11/xorg.conf to force a redetect (99.26 KB, text/plain)
2008-01-03 17:35 EST, R P Herrold
no flags Details

  None (edit)
Description R P Herrold 2007-12-20 13:53:36 EST
Description of problem:

This was a previous bugzilla: 212654 which was closed by notting thus:

Comment #2 From Bill Nottingham  	 on 2006-11-22 14:24 EST  
That device is not supported by the currently available ATI driver, as there are
no publically available or usable specs for that card. You will need to use VESA
with that card.

Times seem to have changed, and an upstream at x.org driver project seems to exist:

http://wiki.x.org/wiki/radeonhd

-----------------

As a upstream project exists, would it be possible on an RFE, to have this added
to retrieval and build in Fedora/RawHide?

================

where I was formerly getting 1400 x 1050 on a monitor with a different card (a
Matrox), I now only get 1280x1024  

This even aftrer adding a:

Modes    "1400x1050" "1280x1024" "1280x960" "1280x800" "1152x864
" "1024x768" "800x600" "640x480"
Comment 1 R P Herrold 2007-12-20 14:05:00 EST
This seems to be in CVS, but not yet building for RawHide, according to my
mirror of it

http://www.redhat.com/archives/fedora-extras-commits/2007-October/msg03980.html
Comment 2 Hans Ulrich Niedermann 2007-12-21 08:27:20 EST
I had the impression that my about-weekly radeonhd snapshots build fine, and are
in rawhide and F-8 updates-testing.

http://koji.fedoraproject.org/koji/packageinfo?packageID=5156

I'll check what the mirrors say about that.

Comment 3 Hans Ulrich Niedermann 2007-12-21 09:48:29 EST
http://koji.fedoraproject.org/koji/packageinfo?packageID=5156
https://admin.fedoraproject.org/updates/xorg-x11-drv-radeonhd

My favourite mirror has

    xorg-x11-drv-radeonhd-1.0.0-0.3.20071212git.fc8.src.rpm
    xorg-x11-drv-radeonhd-1.0.0-0.3.20071212git.fc9.src.rpm
    xorg-x11-drv-radeonhd-1.0.0-0.4.20071219git.fc9.src.rpm

1.0.0-0.4.20071219git.fc8 is waiting for approval.

I interpret this as your using a stale mirror, and there being no bug.

Oh, and if an update from updates-testing works for you, I'd love to see a
positive comment on the update at

  https://admin.fedoraproject.org/updates/xorg-x11-drv-radeonhd

You can also test the xorg-x11-drv-ati package from F-8 updates-testing
(xorg-x11-drv-ati >= 6.7.196-4). It works for my X1400, but has a different set
of problems, so I am still using radeonhd :)
Comment 4 R P Herrold 2008-01-03 16:33:29 EST
Interesting  drilling down even further than that link is

http://koji.fedoraproject.org/koji/buildinfo?buildID=29893

which has a link to the latest and greatest SRPM

thanks -- will test and advise
Comment 5 R P Herrold 2008-01-03 17:33:32 EST
Sadly this does NOT get picked up and used, and I am still trapped at 1280x1024
pixels per xdpyinfo

attachment in a moment

I updated PCI sigs with the utility, and installed the latest driver built from
today's SRPM as noted above

Comment 6 R P Herrold 2008-01-03 17:35:48 EST
Created attachment 290799 [details]
Xorg.0.log done postPCIupdate and after rm'ing /etc/X11/xorg.conf to force a redetect
Comment 7 Hans Ulrich Niedermann 2008-01-03 21:09:40 EST
Are you sure this bug is about rawhide? This looks more like RHEL5:

Current Operating System: Linux centos-5.first.lan 2.6.18-53.1.4.el5xen #1 SMP 
Fri Nov 30 01:21:23 EST 2007 x86_64
Build ID: xorg-x11-server 1.1.1-48.26.el5

Then when I scroll down a little, I find you are not using radeonhd at all:

(--) PCI:*(1:0:0) ATI Technologies Inc unknown chipset (0x7183) rev 0, Mem @
0xd0000000/28, 0xfe9e0000/16, I/O @ 0xdc00/8, BIOS @ 0xfea00000/17
(--) PCI: (1:0:1) ATI Technologies Inc unknown chipset (0x71a3) rev 0, Mem @
0xfe9f0000/16
New driver is "ati"

IIRC, RHEL5 is based on something similar to FC6, which, unlike F-8, may have an
outdated/buggy xserver and xrandr. So... I'd love to find out

 a) how radeonhd works for you
    This requires an xorg.conf.
 b) how radeonhd works for you with Option "noRandR"
    This requires an xorg.conf.
 c) (if all of these fail)
    How radeon (from F-8 updates-testing or rawhide xorg-x11-drv-ati packages)
works for you.
Comment 8 Matěj Cepl 2008-02-05 12:18:10 EST
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 9 Matěj Cepl 2008-03-07 11:51:47 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.